Class HttpDeleteWithBody
java.lang.Object
org.apache.http.message.AbstractHttpMessage
org.apache.http.client.methods.AbstractExecutionAwareRequest
org.apache.http.client.methods.HttpRequestBase
org.apache.http.client.methods.HttpEntityEnclosingRequestBase
com.eqixiac.equinix.core.http.request.HttpDeleteWithBody
- All Implemented Interfaces:
Cloneable, org.apache.http.client.methods.AbortableHttpRequest, org.apache.http.client.methods.Configurable, org.apache.http.client.methods.HttpExecutionAware, org.apache.http.client.methods.HttpUriRequest, org.apache.http.HttpEntityEnclosingRequest, org.apache.http.HttpMessage, org.apache.http.HttpRequest
public class HttpDeleteWithBody
extends org.apache.http.client.methods.HttpEntityEnclosingRequestBase
A
DELETE request that can carry a request body.
Apache HttpClient's HttpDelete extends
HttpRequestBase and therefore cannot enclose an entity. A few Equinix APIs require a body
on DELETE - notably IAM optimistic-concurrency deletes that take a required
lastRev body. This variant extends HttpEntityEnclosingRequestBase so the body
reaches the wire while still using the DELETE method.
-
Field Summary
FieldsFields inherited from class org.apache.http.message.AbstractHttpMessage
headergroup, params -
Constructor Summary
ConstructorsConstructorDescriptionHttpDeleteWithBody(String uri) Creates a body-carryingDELETErequest for the given URI. -
Method Summary
Methods inherited from class org.apache.http.client.methods.HttpEntityEnclosingRequestBase
clone, expectContinue, getEntity, setEntityMethods inherited from class org.apache.http.client.methods.HttpRequestBase
getConfig, getProtocolVersion, getRequestLine, getURI, releaseConnection, setConfig, setProtocolVersion, setURI, started, toStringMethods inherited from class org.apache.http.client.methods.AbstractExecutionAwareRequest
abort, completed, isAborted, reset, setCancellable, setConnectionRequest, setReleaseTriggerMethods inherited from class org.apache.http.message.AbstractHttpMessage
addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParamsMethods inherited from class Object
equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, waitMethods inherited from interface org.apache.http.client.methods.HttpUriRequest
abort, isAborted
-
Field Details
-
METHOD_NAME
- See Also:
-
-
Constructor Details
-
HttpDeleteWithBody
Creates a body-carryingDELETErequest for the given URI.- Parameters:
uri- the request URI
-
-
Method Details
-
getMethod
- Specified by:
getMethodin interfaceorg.apache.http.client.methods.HttpUriRequest- Specified by:
getMethodin classorg.apache.http.client.methods.HttpRequestBase
-